Censum minimum requirements

 In

The minimum requirements to run Censum are:

  • Any operating system that can run Java (Linux, MS Windows, Mac OS X, Unix etc)
  • OpenJDK or Sun/Oracle JDK 1.6.0_10+

We recommend running the very latest version of OpenJDK or Sun/Oracle’s JDK.

The flags you need to set in order for Censum to make the most accurate analysis are:

  • -Xloggc:<path to GC log>
  • -XX:+PrintGCDetails
  • -XX:+PrintTenuringDistribution

e.g. java -Xloggc:./logs/gc.log -XX:+PrintGCDetails -XX:+PrintTenuringDistribution -jar foobar.jar

Recent Posts